﻿using System;
using System.Windows;
using System.Windows.Controls.Theming;

namespace AccentColorTheme
{
	public class AccentColorTheme : Theme
	{
		private static Uri ThemeResourceUri = new Uri("/AccentColorTheme;component/Theme.xaml", UriKind.RelativeOrAbsolute);

		public AccentColorTheme()
			: base(ThemeResourceUri)
		{
		}

		public static bool GetIsApplicationTheme(Application app)
		{
			return GetApplicationThemeUri(app) == ThemeResourceUri;
		}

		public static void SetIsApplicationTheme(Application app, bool value)
		{
			SetApplicationThemeUri(app, ThemeResourceUri);
		}
	}
}
