﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace ThemingDemo
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
		}

		private void ComboBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
		{
			ThemeData theme = (sender as ComboBox).SelectedItem as ThemeData;

			if (theme != null)
			{
				// hack for jet pack theme
				if (theme.Name == "Jet Pack")
				{					
					LayoutRoot.Background = new SolidColorBrush(Colors.Gray);
				}
				else
				{
					LayoutRoot.Background = null;
				}
			}
		}
	}
}
